net.sf.jasperreports.olap.mapping

## Class MappingLexer

- java.lang.Object
- - antlr.CharScanner
  - - net.sf.jasperreports.olap.mapping.MappingLexer

- All Implemented Interfaces:
    antlr.TokenStream, MappingParserTokenTypes

      public class MappingLexer
      extends antlr.CharScanner
      implements MappingParserTokenTypes, antlr.TokenStream

  Version:
    $Id: MappingLexer.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static antlr.collections.impl.BitSet` | `_tokenSet_0`
    `static antlr.collections.impl.BitSet` | `_tokenSet_1`

    - ### Fields inherited from class antlr.CharScanner

      `_returnToken, caseSensitive, caseSensitiveLiterals, commitToPath, EOF_CHAR, hashString, inputState, literals, saveConsumedInput, tabsize, text, tokenObjectClass, traceDepth`

    - ### Fields inherited from interface net.sf.jasperreports.olap.mapping.MappingParserTokenTypes

      `COMMA, DIGIT, EOF, INT, LETTER, LITERAL_Axis, LITERAL_Chapters, LITERAL_Columns, LITERAL_Data, LITERAL_FormattedData, LITERAL_Pages, LITERAL_Rows, LITERAL_Sections, LPAREN, MINUS, MONDRNAME, NAME, NULL_TREE_LOOKAHEAD, PLUS, POINT, QMARK, RPAREN, STAR, WS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingLexer(antlr.InputBuffer ib)`
    `MappingLexer(java.io.InputStream in)`
    `MappingLexer(antlr.LexerSharedInputState state)`
    `MappingLexer(java.io.Reader in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mCOMMA(boolean _createToken)`
    `protected void` | `mDIGIT(boolean _createToken)`
    `void` | `mINT(boolean _createToken)`
    `protected void` | `mLETTER(boolean _createToken)`
    `void` | `mLPAREN(boolean _createToken)`
    `void` | `mMINUS(boolean _createToken)`
    `void` | `mMONDRNAME(boolean _createToken)`
    `void` | `mNAME(boolean _createToken)`
    `void` | `mPLUS(boolean _createToken)`
    `void` | `mPOINT(boolean _createToken)`
    `void` | `mQMARK(boolean _createToken)`
    `void` | `mRPAREN(boolean _createToken)`
    `void` | `mSTAR(boolean _createToken)`
    `void` | `mWS(boolean _createToken)`
    `antlr.Token` | `nextToken()`

    - ### Methods inherited from class antlr.CharScanner

      `append, append, commit, consume, consumeUntil, consumeUntil, getCaseSensitive, getCaseSensitiveLiterals, getColumn, getCommitToPath, getFilename, getInputBuffer, getInputState, getLine, getTabSize, getText, getTokenObject, LA, makeToken, mark, match, match, match, matchNot, matchRange, newline, panic, panic, reportError, reportError, reportWarning, resetText, rewind, setCaseSensitive, setColumn, setCommitToPath, setFilename, setInputState, setLine, setTabSize, setText, setTokenObjectClass, tab, testLiteralsTable, testLiteralsTable, toLower, traceIn, traceIndent, traceOut, uponEOF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _tokenSet_0

          public static final antlr.collections.impl.BitSet _tokenSet_0

    - #### _tokenSet_1

          public static final antlr.collections.impl.BitSet _tokenSet_1

  - ### Constructor Detail

    - #### MappingLexer

          public MappingLexer(java.io.InputStream in)

    - #### MappingLexer

          public MappingLexer(java.io.Reader in)

    - #### MappingLexer

          public MappingLexer(antlr.InputBuffer ib)

    - #### MappingLexer

          public MappingLexer(antlr.LexerSharedInputState state)

  - ### Method Detail

    - #### nextToken

          public antlr.Token nextToken()
                                throws antlr.TokenStreamException

      Specified by:
        `nextToken` in interface `antlr.TokenStream`
      Throws:
        `antlr.TokenStreamException`

    - #### mPOINT

          public final void mPOINT(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mLPAREN

          public final void mLPAREN(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mRPAREN

          public final void mRPAREN(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mPLUS

          public final void mPLUS(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mMINUS

          public final void mMINUS(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mSTAR

          public final void mSTAR(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mQMARK

          public final void mQMARK(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mCOMMA

          public final void mCOMMA(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mINT

          public final void mINT(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mDIGIT

          protected final void mDIGIT(boolean _createToken)
                               throws antlr.RecognitionException,
                                      antlr.CharStreamException,
                                      antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mMONDRNAME

          public final void mMONDRNAME(boolean _createToken)
                                throws antlr.RecognitionException,
                                       antlr.CharStreamException,
                                       antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mNAME

          public final void mNAME(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mLETTER

          protected final void mLETTER(boolean _createToken)
                                throws antlr.RecognitionException,
                                       antlr.CharStreamException,
                                       antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

    - #### mWS

          public final void mWS(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

      Throws:
        `antlr.RecognitionException`
        `antlr.CharStreamException`
        `antlr.TokenStreamException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com